IPartition

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IPartition

    com.change_vision.jude.api.inf.model.IPartition

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IPartition
extends INamedElement

Interface for Partition.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivityNode[]` | `getActivityNodes()` Get ActivityNodes.
`abstract IPartition` | `getNextPartition()` Get right partition or lower partition
`abstract IPartition` | `getPreviousPartition()` Get left partition or upper partition.
`abstract IPartition[]` | `getSubPartitions()` Get Sub Partitions.
`abstract IPartition` | `getSuperPartition()` Get Super Partition.
`abstract boolean` | `isHorizontal()` Check if the direction of a partition is horizontal

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSuperPartition

    public abstract IPartition getSuperPartition()

  Get Super Partition.

  Returns:
    Partition. Return null in case there is none.

### getSubPartitions

    public abstract IPartition[] getSubPartitions()

  Get Sub Partitions.

  Returns:
    The array of Partitions. Return the empty array if there is none.

### getActivityNodes

    public abstract IActivityNode[] getActivityNodes()

  Get ActivityNodes.

  Returns:
    The array of ActivityNodes. Return the empty array if there is none.

### isHorizontal

    public abstract boolean isHorizontal()

  Check if the direction of a partition is horizontal

  Returns:
    true the direction of a partition is horizontal / false the direction of a partition is vertical

### getPreviousPartition

    public abstract IPartition getPreviousPartition()

  Get left partition or upper partition.

  Returns:
    Return left partition if a partition is a horizontal partition. If there is no left partition, return null.
    Return upper partition if a partition is a vertical partition. If there is no upper partition , return null.

### getNextPartition

    public abstract IPartition getNextPartition()

  Get right partition or lower partition

  Returns:
    Return right partition if a partition is a horizontal partition. If there is no right partition, return null.
    Return lower partition if a partition is a vertical partition. If there is no lower partition, return null.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD